[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.EnsureNodeIsVisible

Ensures parent nodes are expanded, and the specified node is visible in the control.

## Declaration

Source position: comctrls.pp line 3617

`protected procedure TCustomTreeView.EnsureNodeIsVisible(`
`ANode: TTreeNode`
`);`

## Description

No actions are performed in the method if ANode has not been assigned (contains Nil).

Calls the ExpandParents method in ANode to expand any parent nodes not already expanded. Ensures that the tree node in ANode is visible in the client area for the control.

EnsureNodeIsVisible is used in the TTreeNode.MakeVisible method, and called from BeginEditing when the editor is displayed for the control.